%% Volumentric Efficiency Maximization with |GlobalSearch|
%  Copyright (c) 2010, The MathWorks, Inc.
%  All rights reserved.
%% Objective Function
% We wish find the maximum volumetric efficiency
clear all, close all, clc
load VEdata
% Create Contour Plot
[ve,RPM,Pratio,VE] = VEMap([0,0],RPM,Pratio,VE);
VEPlot

%% Define Optimization Problem
problem = createOptimProblem('fmincon',...
              'objective',@(x)-VEMap([x(1)*10000 x(2)],RPM,Pratio,VE),...
              'x0',[2200/10000 0.3],... % try 2200, 2700
              'lb',[1000/10000 0],...
              'ub',[6000/10000 1],...
              'options',optimset('Algorithm','SQP','OutputFcn',...
               @(x,o,s)VEPlot([x(1)*10000 x(2)],o,s)))
                             
%% Run the solver |fmincon| from the inital point
% We can see the solution is not the global minimum
close all
[x,f] = fmincon(problem)                                                    

%% Use |GlobalSearch| to Find the Global Minimum
% Define the multistart solver
close all
gs = GlobalSearch 
%% Run |GlobalSearch|
[x,f,exitflag,output,solutions] = run(gs, problem)