%% Springboard for Global Optimization Demos
%  Copyright (c) 2010, The MathWorks, Inc.
%  All rights reserved.
%% Clean Up and Set Up Path
%
% <matlab:clear('all');close('all');clc;addpath('demoFiles') Set Up>

%% |MultStart| Demos
%
% * <matlab:edit('msPeaksExample') Peaks Minimization>
% <msPeaksExample.html HTML Document>
% * <matlab:edit('msCurveFittingExample') Nonlinear Curve Fitting>
% <msCurveFittingExample.html HTML Document>


%% |GlobalSearch| Demos
%
% * <matlab:edit('gsPeaksExample') Peaks Minimization> <gsPeaksExample.html
% HTML Document>
% * <matlab:gsVEOptimExample Volumentric Efficiency Maximization>
% <gsVEOptimExample.html HTML Document>

%% Simulated Annealing Demos
%
% * <matlab:saPeaksExample Peaks Minimization> <saPeaksExample.html HTML
% Document>
% * <matlab:edit('saEightQueensExample') Eight Queens Problem>
% <saEightQueensExample.html HTML Document>
% * <matlab:saGalacticTravelingSalesmanExample Galactic Traveling Salesman>
% <saGalacticTravelingSalesmanExample.html HTML Document>

%% Pattern Search Demos
%
% * <matlab:psPeaksExample Peaks Minimization> <psPeaksExample.html HTML
% Document>
% * <matlab:mtwashingtondemo Mount Washington Demo>

%% Genetic Algorithm Demos
%
% * <matlab:gaPeaksExample Peaks Minmiziation> <gaPeaksExample.html HTML
% Document>
% * <matlab:gaRastriginsExample Rastrigins Function Minimization>
% <gaRastriginsExample.html HTML Document>
% * <matlab:edit('gaSwarmExample') Partical Swarm Example>
% <gaSwarmExample.html HTML Document>
% * <matlab:gamultiopExample Multiobjective Genetic Algorithm>
% <gamultiopExample.html HTML Document>

%% Comparison of Solvers on Rastrigins Function
% * <matlab:rastriginsComparison Comparison of Multiple Solvers on
% Rastrings Function> <rastriginsComparison.html HTML Document>
