function stop = min1DPlotIterates(x,~,state)
% Plot function for 1D minimization problem

%  Copyright (c) 2010, The MathWorks, Inc.
%  All rights reserved.

stop = false;
f = @(x) x.*sin(x) + x.*cos(2*x);
switch state
    case 'init'
        lb = 0;
        ub = 10;
        ezplot(f,[lb ub]);
        hold on
        if isempty(x)
            x = -1; % plot off the screen
        end
        plot(x,f(x),'k+')
        h = plot(x,f(x),'bo');
        set(h,'Tag','iterationUpdate')
        hold off
    case 'iter'
        hold on
        h = findobj('Tag','iterationUpdate');
        set(h,'XData',[get(h,'XData'),x],'YData',[get(h,'YData'),f(x)])
        hold off
        pause(1)
    case 'done'
        hold on
        plot(x,f(x),'r+')
        hold off
        legend('Function Value','Starting Point','Iterates','Solution Found','Location','NorthWest')
end